GNU Radio 2.x: gr_fir_sysconfig_x86 Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_fir_sysconfig_x86 Class Reference

`#include <gr_fir_sysconfig_x86.h>`

Inheritance diagram for gr_fir_sysconfig_x86:

[legend]
Collaboration diagram for gr_fir_sysconfig_x86:

[legend]
List of all members.

## Public Member Functions
virtual gr_fir_ccf * | create_gr_fir_ccf (const std::vector< float > &taps)
virtual gr_fir_fcc * | create_gr_fir_fcc (const std::vector< gr_complex > &taps)
virtual gr_fir_fff * | create_gr_fir_fff (const std::vector< float > &taps)
virtual gr_fir_fsf * | create_gr_fir_fsf (const std::vector< float > &taps)
virtual gr_fir_scc * | create_gr_fir_scc (const std::vector< gr_complex > &taps)
virtual gr_fir_ccc * | create_gr_fir_ccc (const std::vector< gr_complex > &taps)
virtual void | get_gr_fir_ccf_info (std::vector< gr_fir_ccf_info > *info)
virtual void | get_gr_fir_fcc_info (std::vector< gr_fir_fcc_info > *info)
virtual void | get_gr_fir_fff_info (std::vector< gr_fir_fff_info > *info)
virtual void | get_gr_fir_fsf_info (std::vector< gr_fir_fsf_info > *info)
virtual void | get_gr_fir_scc_info (std::vector< gr_fir_scc_info > *info)
virtual void | get_gr_fir_ccc_info (std::vector< gr_fir_ccc_info > *info)

## Member Function Documentation

gr_fir_ccc * gr_fir_sysconfig_x86::create_gr_fir_ccc | ( | const std::vector< gr_complex > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

gr_fir_ccf * gr_fir_sysconfig_x86::create_gr_fir_ccf | ( | const std::vector< float > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

gr_fir_fcc * gr_fir_sysconfig_x86::create_gr_fir_fcc | ( | const std::vector< gr_complex > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

gr_fir_fff * gr_fir_sysconfig_x86::create_gr_fir_fff | ( | const std::vector< float > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

gr_fir_fsf * gr_fir_sysconfig_x86::create_gr_fir_fsf | ( | const std::vector< float > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

gr_fir_scc * gr_fir_sysconfig_x86::create_gr_fir_scc | ( | const std::vector< gr_complex > & | taps | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_ccc_info | ( | std::vector< gr_fir_ccc_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_ccf_info | ( | std::vector< gr_fir_ccf_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_fcc_info | ( | std::vector< gr_fir_fcc_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_fff_info | ( | std::vector< gr_fir_fff_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_fsf_info | ( | std::vector< gr_fir_fsf_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

void gr_fir_sysconfig_x86::get_gr_fir_scc_info | ( | std::vector< gr_fir_scc_info > * | info | ) | `[virtual]`

| Reimplemented from gr_fir_sysconfig_generic.

The documentation for this class was generated from the following files:

- gr_fir_sysconfig_x86.h
- gr_fir_sysconfig_x86.cc